tracker-control(1)

NAME
tracker-control - Manage Tracker processes and data

SYNOPSIS
tracker-control [OPTION...]

DESCRIPTION
tracker-control manages and checks status of all Tracker processes and data. Controls Tracker both at process level, and at entity level (store, miners). To start or stop miners, you can use --start. The store is started automatically by the D-Bus calls from the miners. It also allows checking the status of the Tracker store and all data miners. For tracker-store , the status is always Idle unless it is restoring a backup and/or replaying a journal (regardless of load from applications or miners). For a list of common statuses, see --list-common-statuses. The miners can be paused or resumed using this command and you can also list miners running and available.

COMMON OPTIONS

-?, --help
    Show summary of options by group.

-?, --help-all
    Show all groups and options.

-V, --version
    Returns the version of this program.

GENERAL OPTIONS

-p, --list-processes
    This lists all Tracker processes in the system.

-k, --kill=[all|store|miners]
    This uses SIGKILL to stop all Tracker processes found matching the parameter, if no extra parameter is passed, all will be assumed. This is not advised unless you are having problems stopping Tracker in the first place. This GUARANTEES death.

-t, --terminate=[all|store|miners]
    This uses SIGTERM to stop all Tracker processes found matching the parameter, if no extra parameter is passed, all will be assumed. This is recommended over --kill because it gives the processes time to shutdown cleanly.

-r, --hard-reset
    This kills all processes in the same way that --kill does but it also removes all databases. Restarting tracker-store re-creates the databases.

-e, --soft-reset
    A soft reset works exactly the same way that --hard-reset does, with the exception that the backup and journal are not removed. These are restored when tracker-store is restarted.

-c, --remove-config
    This removes all config files in $HOME/.config/tracker. All files listed are files which were found and successfully removed. Restarting the respective processes re-creates the default configuration files.

-s, --start
    Starts all miners. This indirectly starts tracker-store too because it is needed for miners to operate properly.

STATUS OPTIONS

-S, --status
    Show the current status of all Tracker entities (store and all available miners).

-F, --follow
    Follow status changes as they happen. This requires Ctrl+C to stop and return to the command line. Each new status is put on a new line.

-C, --list-common-statuses
    This will list statuses most commonly produced by miners and the store. These statuses are not translated when sent over D-Bus and should be translated by each application. These are not considered static and are subject to change at any point. Additionally, these statuses are not the only ones which may be reported by a miner. There may be other states pertaining to the specific roles of the miner in question.

MINER OPTIONS

-m, --reindex-mime-type=MIME
    Re-index files which match the MIME type supplied. This is usually used when installing new extractors which support MIME types previously unsupported. This forces Tracker to re-index those files. You can use --reindex-mime-type more than once per MIME type.

-f, --index-file=FILE
    (Re)index a file matching the FILE type supplied.

-l, --list-miners-running
    This will list all miners which have responded to a D-Bus call. Sometimes it is helpfult to use this command with --list-miners-available.

-a, --list-miners-available
    This will list all miners which are available even if they are not running at the moment.

-i, --pause-details
    For listing all miners which are paused and the reasons for being paused, you can use this. It will also display the application that requested the pause too.

--miner=MINER
    This argument is used with --pause or --resume to say which miner you want to pause or resume. You can use the full D-Bus name, e.g. org.freedesktop.Tracker1.Miner.Files OR you can use the suffix, e.g. Files

--pause=REASON
    The REASON here is useful to know WHY the miner should be paused. A miner can be paused many times by multiple applications. Only when all pauses have been resumed will it continue. If successful, a cookie will be given to uniquely identify the request. This cookie is used to resume the pause at a later stage.

--resume=COOKIE
    The COOKIE is given by a successful --pause command. It is a number which identifies each pause request. When all pauses have been resumed, the miner will resume working.

SEE ALSO
tracker-store(1).